ExcludeArch: ppc64
Name: anaconda
Version: 9.1.6.9
Release: 1.10AX
License: GPL
Summary: The Asianux installation program.
Group: Applications/System
Source: anaconda-%{PACKAGE_VERSION}.tar.bz2
BuildPreReq: pump-devel >= 0.8.15, kudzu-devel >= 1.1.0, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel gtk2-devel rpm-python >= 4.2-0.61, newt-devel, rpm-devel, gettext >= 0.11, modutils-devel, rhpl, booty, libxml2-python, zlib-devel, bogl-devel >= 0:0.1.9-17, bogl-bterm >= 0:0.1.9-17, elfutils-devel, beecrypt-devel
%ifarch i386
BuildRequires: dietlibc
%endif
Prereq: chkconfig /etc/init.d
Requires: rpm-python >= 4.2-0.61, rhpl > 0.63, parted >= 1.6.3-7, booty, libxml2-python
Url: http://rhlinux.redhat.com/anaconda/
BuildRoot: %{_tmppath}/anaconda-%{PACKAGE_VERSION}
Patch1: anaconda-9.1.6.9-update_AX56_to_rhel3u7.patch
Patch2: anaconda-9.1.6.9-ia32e.patch
Patch3: anaconda-9.1.6.9-fix_loader_driver.patch
Patch4: anaconda-9.1.6.9-merge_old_patch.patch
Patch5: anaconda-9.1.6.9-lvm_dialog_gui.patch
Patch6: anaconda-9.1.6.9-fix_ia32e_and_disc_change.patch
Patch7: anaconda-9.1.6.9-add_korean_into_langtable.patch
Patch8: anaconda-9.1.6.9-korean_translation.patch 
Patch9: anaconda-9.1.6.9-add_usb_driverdisk_support.patch
Patch10: anaconda-9.1.6.9-update_to_rhel3u8.patch
Patch11: anaconda-9.1.6.9-module-info_stex.patch
Patch12: anaconda-9.1.6.9-urlinstall.patch
Patch13: anaconda-9.1.6.9-support_addition_drivers.patch
Patch14: anaconda-9.1.6.9-fix_tz_transfer_and_rescue_install.patch
Patch15: anaconda-9.1.6.9-add_stage_for_driverdisk.patch
Patch16: anaconda-9.1.6.9-add_x86_64_bootdisk.patch
Patch17: anaconda-9.1.6.9-fix_install_exited_abnormally.patch

%description
The anaconda package contains the Asianux installation program.  
These files are of little use on an already installed system.

%package runtime
Summary: Asianux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false

%description runtime
The anaconda-runtime package contains parts of the Asianux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1 

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
/usr/bin/mini-wm
/usr/sbin/anaconda
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%triggerun -- anaconda < 8.0-1
/sbin/chkconfig --del reconfig >/dev/null 2>&1 || :

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Tue Sep 26 2006 Kyuseok Lee <kslee@haansoft.com> 9.1.6.9-1.10AX
- fix the bug #1878 by install exited abnormally in the driverdisk.c

* Wed Sep 13 2006 Dawei Pang <dwpang@redflag-linux.com> 9.1.6.9-1.9AX
- add building x86_64 bootdisk for HP requires.
- fix the bug #1840 by recompile kernel and add some kernel modules on ia32 arch
- fix the bug #1620 by remove the kudzu command in the postscript.sh

* Thu Sep 07 2006 Kyuseok Lee <kslee@haansoft.com> 9.1.6.9-1.8AX
- add patch to load of driver from a usb disk. (bugAX #1701) 

* Tue Aug 22 2006 Dawei Pang <dwpang@redflag-linux.com> 9.1.6.9-1.7AX
- add support addition drivers like aarich2,a320raid,aarich.
- fix showing timezone select window in NFS/HTTP installation (bugAX #1824)
- modify Patch1 fix kickstart installation (bugAX #1688)
- dirty fix crash in rescue method temporarily (bugAX #1827)

* Thu Aug 10 2006 Hiroshi Hara <hhara@miraclelinux.com> 9.1.6.9-1.6AX
- add stex entry into module-info(Patch11)   (bugAX1690)
- fix http and ftp installation(Patch12)     (bugAX1691)
- modify Patch1 fix nfs installation         (bugAX1691)

* Thu Aug 10 2006 Dawei Pang <dwpang@redflag-linux.com> 9.1.6.9-1.5AX
- update to RHEL3U8

* Thu Aug 09 2006 Kyuseok Lee <kslee@haansoft.com> 9.1.6.9-1.4AX
- Add patch to support usb memory as a driver disk.

* Thu Aug 08 2006 Kyuseok Lee <kslee@haansoft.com> 9.1.6.9-1.3AX
- Add korean language information into the anaconda lang_table file.
- Add a korean translation 

* Tue Jul 26 2006 Dawei Pang <dwpang@redflag-linux.com> 9.1.6.9-1.2AX
- Fix the load driver dd.img,initialized some variables before getDDFromSource()
- Merge some AX1 patch
- Fix the installing smp-kernel in the ia32e machine because the kernel driver dependence
- Fix the changing disc many times problem
- Add the copying /tmp/anaconda.log to /root/ so that we can check some error.

* Thu Jun 13 2006 Dawei Pang <dwpang@redflag-linux.com> 9.1.6.9-1.1AX
- Update 56AX to the RHEL3U7 

* Tue May 25 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 498 text mode Chinese font not show correctly in agreement. 
- Change the default language of Redflag product from English to Chinese.

* Fri May 21 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 495 In harddisk installation, EULA cannot display
- Change the agreement_gui.py to make the interface more beautiful.
- Change the boot option "checkmedia" to "expert"  

* Thu May 20 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 438 The distance among elements in the password screen should be changed  

* Wed May 19 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Fix the bug 478

* Tue May 18 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Add oracle9i_support package into EverythingExclude list.

* Thu May 13 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Fix the bug 456 /etc/hosts is not good when the user setup static IP address.

* Tue May 11 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 443 Error occured in kickstart installation  
- Fix the bug 441 harddisk installation failed of RC  
- Fix the bug 453 Installer crashed when use ftp installation
- Modify some small error in anaconda

* Tue Apr 27 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Change several Japanese messages.

* Thu Apr 26 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 399 japanese message is not properly displayed  
- Modify some Chinese translation

* Tue Apr 22 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 389 In redflag version, the system always use GUI login  
- Include the font name rfdw.ttf in the upd-instroot file

* Wed Apr 21 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 368 System crash in the last step of kickstart installation  
- Fix the bug 365 There is no status bar when using kickstart installation
- Fix the bug 364 Out of sync when using kickstart installation
- Fix the bug 361 System crash when selecting kickstart installation 
- Fix the bug 334 text information shown in disorder in rescue mode 
- Fix the bug 331 Suggestion, please modify some Chinese translation

* Fri Apr 16 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Change progress pop-ups.

* Tue Apr 13 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 321 Couldn't set DNS server during installation on a machine which has two or more netcard
- Fix the bug 273 The screen can not contain the full image
- Fix the bug 269 Status bar doesn't locate in the left part
- Fix a bug that ftp and http install can not show the agreement
- Fix a bug that change from other language to English will cause installer get wrong 
- value of default timezone
- Fix a bug that change the selection of language will cause the installer crash when
- display the network screen 

* Thu Apr 08 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 317
- Fix the bug 315
- Adjust some code in text mode install

* Wed Apr 7 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fix the bug 316

* Wed Apr 07 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Change the location where the agreement step reads EULA.

* Tue Apr 6 2004 Zhixin Ni <zxni@redflag-linux.com>
- Bug 233 There are English text information existing in Chinese installation
- Bug 270 We can't select packages for installation on Dell GX270
- Bug 30 Need to correct some messages in "General Boot Help" (remove the sentence about resolution=1024x768)
- In this IP of anaconda, I modify a lot of translations in zh_CN.po because
- the orignal one isn't very exactly.
- Add a method to copy sys.dat to system. This file is used by RPM Manenger.

* Mon Apr 5 2004 Zhixin Ni <zxni@redflag-linux.com>
- Fixed the bug of volumelabel and add the support of reiserfs
- Fixed the bug of Agreement text information is unavailable for English version
- Fixed the bug of swap partition of text mode
- Add the support of Keyboard Operation in agreement GUI

* Sat Apr 03 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Enable volume labels of reiserfs partitions.

* Sat Apr 03 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Correct routines of checking disk capacity for packages to be installed.
- Fix two I18N bugs in iw/network_gui.py.
- Update ja.po.

* Fri Mar 26 2004 Zhixin Ni <zxni@redflag-linux.com>
- Change the bug of /etc/sysconfig/i18n
- update the gui.py to active the function  of "enable/disable" exit button

* Fri Mar 26 2004 Zhixin Ni <zxni@redflag-linux.com>
- Change the bug of swap partiton
- Change the upd-instroot to include new themes
- Change the name of XF86Config to XF86Config-4
- add some safe code for change picture

* Wed Mar 24 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Update ja.po.
- Modify upd-instroot to include ttfonts-zh_CN package.

* Wed Mar 24 2004 Zhixin Ni <zxni@redflag-linux.com>
- Change a bug in xconfig_text.py

* Wed Mar 24 2004 Zhixin Ni <zxni@redflag-linux.com>
- Add code to show different pictures and set /etc/timezone
- Fix the bug on xconfig screen
- Change the zh_CN.po to add some translation

* Wed Mar 24 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Enable XFS.

* Tue Mar 23 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Delete Korean entry from the language selection menu.

* Mon Mar 22 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Enable reiserfs.

* Mon Mar 22 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Update the License Agreement step in the text mode.
- Skip the language support step and the default language step
  in the text mode, as same as in the graphic mode.
- Default runlevel should be 3 in the text mode, too.
- Internationalize the category label of package selection screen
  not by comps.xml but by gettext.

* Thu Mar 11 2004 Zhixin Ni <zxni@redflag-linux.com>
- Update agreement_gui.py

* Thu Mar 11 2004 Zhixin Ni <zxni@redflag-linux.com>
- Update language_gui.py

* Thu Mar 11 2004 Zhixin Ni <zxni@redflag-linux.com>
- Update gui.py anaconda.py agreement_gui.py and zh_CN.po.

* Wed Mar 10 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Update anaconda.pot and ja.po.
- Modify messages to eliminate RedHat-relative words.
- Reduce keyboard entries unnecessary for Asianux.

* Sat Mar  6 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Add a fail-safe to avoid shortage of disk space during package
  extraction both on graphical mode and text mode
- Delete LILO from bootloader selection on the text mode

* Wed Feb 25 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Modify package selection.
- Add agreement_text.py.

* Tue Feb 24 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Eliminate texts of Red Hat.
- Change swap size of automatic disk partitioning.
- Set default runlevel to 3.
- Change upd-instroot to include gtk2-engines for Desktop Theme.

* Mon Feb 23 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Complement of some modifications that Zhixin Ni forgot
  on his Fri Feb 20 2004.

* Mon Feb 23 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Modify the order of partitions in a hard disk assigned by
  automatic partitioning.

* Fri Feb 20 2004 Zhixin Ni <zxni@redflag-linux.com>
- Add a method run post scrip 
 
* Fri Feb 20 2004 Zhixin Ni <zxni@redflag-linux.com>
- Change the theme and fixed some bug
 
* Thu Feb 12 2004 Zhixin Ni <zxni@redflag-linux.com>
- Modify a small mistaken in index 

* Thu Feb 12 2004 Zhixin Ni <zxni@redflag-linux.com>
- add some code for index and make a change for skip mediacheck by Seiichi

* Wed Feb 11 2004 Zhixin Ni <zxni@redflag-linux.com>
- add some code for distinguish the product

* Wed Feb 11 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- change refered names, redhat-artwork and redhat-lsb,
  into asianux-artwork and asianux-lsb, respectively.

* Sun Feb  8 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- enhance buildinstall, mk-images, and upd-instroot to read
  necessary packages from another directory than <root>/Asianux/RPMS.

* Mon Jan 19 2004 Zhixin Ni <zxni@redflag-linux.com>
- Change pathnames from Redhat to Asianux

* Thu Jan 15 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com>
- Deleted three patch entries

* Tue Jan 12 2004 Zhixin Ni <zxni@redflag-linux.com>
- fix some bugs on Disk Druid, including the partition isn't fixed problem

* Tue Dec 22 2003 Zhixin Ni <zxni@redflag-linux.com>
- change the backgroup and theme of installer

* Tue Dec 16 2003 Zhixin Ni <zxni@redflag-linux.com>
- cut some useless steps from the installer

* Tue Oct  8 2002 Jeremy Katz <katzj@redhat.com>
- back to mainstream rpm instead of rpm404

* Mon Sep  9 2002 Jeremy Katz <katzj@redhat.com>
- can't buildrequire dietlibc and kernel-pcmcia-cs since they don't always
  exist

* Wed Aug 21 2002 Jeremy Katz <katzj@redhat.com>
- added URL

* Thu May 23 2002 Jeremy Katz <katzj@redhat.com>
- add require and buildrequire on rhpl

* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Thu Feb 07 2002 Michael Fulbright <msf@redhat.com>
- goodbye reconfig

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- update the BuildRequires a bit

* Fri Jan  4 2002 Jeremy Katz <katzj@redhat.com>
- ddcprobe is now done from kudzu

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

